al_cstr_dup(3)

NAME

al_cstr_dup - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro.h>
    char *al_cstr_dup(const ALLEGRO_USTR *us)

DESCRIPTION

Create a NUL ('\0') terminated copy of the string. Any embedded NUL bytes will still be presented in the returned string. The new string must eventually be freed with al_free(3).

If an error occurs NULL is returned.

SEE ALSO

al_cstr(3), al_ustr_to_buffer(3), al_free(3)